/*******************************************************************************
 * Copyright (c) 2006 University College London Software Systems Engineering
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * 	Bruno Wassermann - initial API, implementation, subsequent bug fixes
 *  Liang (Ben) Chen - BPEL 2.0 to 1.1 conversion code
 *******************************************************************************/
package uk.ac.ucl.sse.omii.bpel.abr.model_2005_09.pdd.impl;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

import uk.ac.ucl.sse.omii.bpel.abr.model_2005_09.pdd.MyRoleType;
import uk.ac.ucl.sse.omii.bpel.abr.model_2005_09.pdd.PartnerLinkType;
import uk.ac.ucl.sse.omii.bpel.abr.model_2005_09.pdd.PartnerRoleType;
import uk.ac.ucl.sse.omii.bpel.abr.model_2005_09.pdd.PddPackage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Partner Link Type</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link uk.ac.ucl.sse.omii.bpel.abr.model_2005_09.pdd.impl.PartnerLinkTypeImpl#getPartnerRole <em>Partner Role</em>}</li>
 *   <li>{@link uk.ac.ucl.sse.omii.bpel.abr.model_2005_09.pdd.impl.PartnerLinkTypeImpl#getMyRole <em>My Role</em>}</li>
 *   <li>{@link uk.ac.ucl.sse.omii.bpel.abr.model_2005_09.pdd.impl.PartnerLinkTypeImpl#getName <em>Name</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class PartnerLinkTypeImpl extends EObjectImpl implements PartnerLinkType {
	/**
	 * The cached value of the '{@link #getPartnerRole() <em>Partner Role</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPartnerRole()
	 * @generated
	 * @ordered
	 */
	protected PartnerRoleType partnerRole = null;

	/**
	 * The cached value of the '{@link #getMyRole() <em>My Role</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMyRole()
	 * @generated
	 * @ordered
	 */
	protected MyRoleType myRole = null;

	/**
	 * The default value of the '{@link #getName() <em>Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getName()
	 * @generated
	 * @ordered
	 */
	protected static final String NAME_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getName() <em>Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getName()
	 * @generated
	 * @ordered
	 */
	protected String name = NAME_EDEFAULT;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected PartnerLinkTypeImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected EClass eStaticClass() {
		return PddPackage.Literals.PARTNER_LINK_TYPE;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PartnerRoleType getPartnerRole() {
		return partnerRole;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetPartnerRole(PartnerRoleType newPartnerRole, NotificationChain msgs) {
		PartnerRoleType oldPartnerRole = partnerRole;
		partnerRole = newPartnerRole;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, PddPackage.PARTNER_LINK_TYPE__PARTNER_ROLE, oldPartnerRole, newPartnerRole);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPartnerRole(PartnerRoleType newPartnerRole) {
		if (newPartnerRole != partnerRole) {
			NotificationChain msgs = null;
			if (partnerRole != null)
				msgs = ((InternalEObject)partnerRole).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - PddPackage.PARTNER_LINK_TYPE__PARTNER_ROLE, null, msgs);
			if (newPartnerRole != null)
				msgs = ((InternalEObject)newPartnerRole).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - PddPackage.PARTNER_LINK_TYPE__PARTNER_ROLE, null, msgs);
			msgs = basicSetPartnerRole(newPartnerRole, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PddPackage.PARTNER_LINK_TYPE__PARTNER_ROLE, newPartnerRole, newPartnerRole));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MyRoleType getMyRole() {
		return myRole;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetMyRole(MyRoleType newMyRole, NotificationChain msgs) {
		MyRoleType oldMyRole = myRole;
		myRole = newMyRole;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, PddPackage.PARTNER_LINK_TYPE__MY_ROLE, oldMyRole, newMyRole);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setMyRole(MyRoleType newMyRole) {
		if (newMyRole != myRole) {
			NotificationChain msgs = null;
			if (myRole != null)
				msgs = ((InternalEObject)myRole).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - PddPackage.PARTNER_LINK_TYPE__MY_ROLE, null, msgs);
			if (newMyRole != null)
				msgs = ((InternalEObject)newMyRole).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - PddPackage.PARTNER_LINK_TYPE__MY_ROLE, null, msgs);
			msgs = basicSetMyRole(newMyRole, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PddPackage.PARTNER_LINK_TYPE__MY_ROLE, newMyRole, newMyRole));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getName() {
		return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setName(String newName) {
		String oldName = name;
		name = newName;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PddPackage.PARTNER_LINK_TYPE__NAME, oldName, name));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case PddPackage.PARTNER_LINK_TYPE__PARTNER_ROLE:
				return basicSetPartnerRole(null, msgs);
			case PddPackage.PARTNER_LINK_TYPE__MY_ROLE:
				return basicSetMyRole(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PddPackage.PARTNER_LINK_TYPE__PARTNER_ROLE:
				return getPartnerRole();
			case PddPackage.PARTNER_LINK_TYPE__MY_ROLE:
				return getMyRole();
			case PddPackage.PARTNER_LINK_TYPE__NAME:
				return getName();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PddPackage.PARTNER_LINK_TYPE__PARTNER_ROLE:
				setPartnerRole((PartnerRoleType)newValue);
				return;
			case PddPackage.PARTNER_LINK_TYPE__MY_ROLE:
				setMyRole((MyRoleType)newValue);
				return;
			case PddPackage.PARTNER_LINK_TYPE__NAME:
				setName((String)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void eUnset(int featureID) {
		switch (featureID) {
			case PddPackage.PARTNER_LINK_TYPE__PARTNER_ROLE:
				setPartnerRole((PartnerRoleType)null);
				return;
			case PddPackage.PARTNER_LINK_TYPE__MY_ROLE:
				setMyRole((MyRoleType)null);
				return;
			case PddPackage.PARTNER_LINK_TYPE__NAME:
				setName(NAME_EDEFAULT);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PddPackage.PARTNER_LINK_TYPE__PARTNER_ROLE:
				return partnerRole != null;
			case PddPackage.PARTNER_LINK_TYPE__MY_ROLE:
				return myRole != null;
			case PddPackage.PARTNER_LINK_TYPE__NAME:
				return NAME_EDEFAULT == null ? name != null : !NAME_EDEFAULT.equals(name);
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (name: ");
		result.append(name);
		result.append(')');
		return result.toString();
	}

} //PartnerLinkTypeImpl